### Method

# Gtk IconTheme set_theme_name

#### Declaration [src]

    void
    gtk_icon_theme_set_theme_name (
      GtkIconTheme* self,
      const char* theme_name
    )

#### Description [src]

Sets the name of the icon theme that the `GtkIconTheme` object uses overriding system configuration.

This function cannot be called on the icon theme objects returned from gtk_icon_theme_get_for_display().

#### Parameters

`theme_name` | `const char*`
| Name of icon theme to use instead of configured theme, or `NULL` to unset a previously set custom theme.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.